%define	name	gtimer
%define	version	1.1.6
%define	release	3mdk
%define	summary	Task management application

Summary: 	%{summary}
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Monitoring
License: 	GPL
URL: 		http://www.radix.net/~cknudsen/gtimer/
Source: 	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
BuildRequires:	libgtk+-devel
Buildroot: 	%{_tmppath}/%{name}-buildroot
Obsoletes: 	tasktimer
Provides:	tasktimer

%description 
Gtimer is task management application. It let's you
track the time you spend doing something.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 0755 icons/* $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 0755 icons/gtimer.xpm $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 0755 gtimer.1 $RPM_BUILD_ROOT/%{_mandir}/man1/

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Gtimer"\
longtitle="%{summary}"\
needs="x11"\
icon="%{name}.png"\
section="System/Monitoring"
EOF

%{__install} -d ${RPM_BUILD_ROOT}{%{_miconsdir},%{_liconsdir}}
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-16x16.png > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-32x32.png > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__tar} -xOjf %{SOURCE1} %{name}-icons/%{name}-48x48.png > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}
 
%postun
%{clean_menus}  

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog COPYING NEWS
%{_datadir}/pixmaps/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%defattr(755,root,root,755)
%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-3mdk
- rebuild

* Tue May 06 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.6-2mdk
- rm -rf buildroot in correct stage
- use more macros
- don't run configure multiple times
- ensure correct file permissions
- add icons to menu(S1)
- fix E: gtimer obsolete-not-provided tasktimer
- added buildrequires

* Tue May  6 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-5mdk
- rebuild

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.5-4mdk
- Fix menu entry

* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- v1.1.5
- macros
- BM
- menu   

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-2mdk
- fix group
- fix files section

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

